===============================
HeLIx+ Quick Installation Guide
===============================

To compile the code:

    #supported are gfortran, ifort. Setup compiler environment first!
    #at MPS: module load intel 

#first create configure script:
autoconf

#create single CPU version with X11 (dislin must be installed)
#FC=idort or gfortran
./configure FC=ifort --with-dislin[=/opt/local/dislin] 
make clean ; make ; make install

#create shared objects for usage from IDL:
./configure FC=gfortran --with-idl
make clean ; make ; make install

#create MPI-version
./configure FC=ifort --with-mpi[=/path-to-mpi-version]
make clean ; make ; make install

To run the executable do not forget to set the LD_LIBRARY_PATH. It must point to the required libraries (the code will complain if it is not set correctly).

See docu/helix.pdf for details
